#ifndef MYTYPES_H
#define MYTYPES_H

// Возможные состояния клавиш
typedef enum {
  KEY_IS_UP,
  KEY_IS_DOWN,
  KEY_IS_GOING_UP,    // В этом состоянии мы увеличиваем таймер.
  KEY_IS_GOING_DOWN,  // В этом состоянии мы увеличиваем таймер.
} state_t;

// Возможные события
typedef enum {
  KEY_PRESSED,    // Клавиша нажата
  KEY_DOWN,       // Клавиша полностью нажата
  KEY_RELEASED,   // Клавиша отпущена
  KEY_UP,         // Клавиша полностью отпущена
} event_t;

typedef struct {
  char midi_note:8;
  state_t       state:4; // Состояние
  unsigned int  t    :7; // Скорость нажатия
} keyp_t;

typedef struct {
  char top;
  char bottom;
} bank_t;

#endif //MYTYPES_H